Bug 1421694 - Making sudo pip Safe (Again)
Summary: Making sudo pip Safe (Again)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Python Maintainers
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SelfContainedChang...
Depends On:
Blocks: 662034
TreeView+ depends on / blocked
 
Reported: 2017-02-13 13:12 UTC by Jan Kurik
Modified: 2017-11-14 08:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-14 08:58:26 UTC
mcyprian: needinfo+


Attachments (Terms of Use)

Description Jan Kurik 2017-02-13 13:12:33 UTC
This is a tracking bug for Change: Making sudo pip Safe (Again)
For more details, see: https://fedoraproject.org//wiki/Changes/Making_sudo_pip_safe

At the present time, running sudo pip3 in Fedora is not safe. Pip shares its installation directory with dnf, can remove dnf-managed files and generally break the Python 3 interpreter. We propose a series of measures that will make it safe to use.

Comment 1 Jan Kurik 2017-02-28 10:08:29 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 11:16:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:52:29 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Michal Cyprian 2017-03-02 15:32:27 UTC
A couple of unexpected issues appeared after we applied the patches, more precise description is in [0] thread on python-devel mailing list.
We discussed all known issues and possible related problems, which can appear in the future and we decided to postpone the Change for Fedora 27 to have enough time to test everything properly and find all packages that might be affected.

[0] https://lists.fedoraproject.org/archives/list/python-devel@lists.fedoraproject.org/thread/X6F5Q66I6GPMUDNOMCZRQNI4KOPJGXPN/

Comment 5 Jan Kurik 2017-03-17 05:40:43 UTC
The Change is deffered to F27: https://pagure.io/fesco/issue/1688#comment-430734

Comment 6 Jan Kurik 2017-08-10 06:18:07 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 7 Michal Cyprian 2017-08-11 08:35:19 UTC
This Change was implemented and pushed to rawhide [0]. It is complete and testable.

[0] https://src.fedoraproject.org/rpms/python3/c/332b947dfc8d0f0d3a4525864b121d0f239beb4d?branch=master

Comment 8 Jan Kurik 2017-08-15 07:54:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 9 Jan Kurik 2017-09-06 13:38:26 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.